;---------------------------------------------------------------------
; ENIGMA MUSIC

[Rainmeter]
Author=Kaelri
AppVersion=2001000
Group=EnigmaSidebar
LeftMouseDoubleClickAction=!Execute [!WriteKeyValue Variables Variant2 #Variant2#][!WriteKeyValue Variables Variant2 #Variant3#][!WriteKeyValue Variables Variant3 #Variant2#][!Refresh]

[Variables]
@include=#SKINSPATH#Serenity\Group2\UserVariables.inc

;---------------------------------------------------------------------
; STYLES

@include2=#SKINSPATH#Serenity\Group2\Variables.inc
@include3=#SKINSPATH#Serenity\Group2\SidebarMusic.inc
Variant1=Normal
Variant2=Art
Variant3=Full

;---------------------------------------------------------------------
; MEASURES

@include4=#SKINSPATH#Serenity\Group2\Music.inc
CurrentPlayer=#MusicPlayer#

;---------------------------------------------------------------------
; METERS

[Background]
Meter=IMAGE
MeterStyle=StyleMusic#Variant2#Background

[Border]
Meter=IMAGE
MeterStyle=StyleMusic#Variant2#Border

[Header]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Header

;-----------------------
; ART

[IconBack]
Meter=IMAGE
MeterStyle=StyleMusic#Variant2#IconBack

[Icon]
Meter=IMAGE
MeterStyle=StyleMusic#Variant2#Icon
MeasureName=MeasureCover
LeftMouseUpAction=!Execute ["[MeasureCover]"]
ToolTipTitle=View Full Size
ToolTipText=Click to view this track's cover art at full-size.

[Curtain]
Meter=IMAGE
MeterStyle=StyleMusic#Variant2#Curtain

;-------------------------
; TEXT

[Track]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Text | StyleMusic#Variant2#TextFirst
MeasureName=MeasureTrack

[Artist]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Text | StyleMusic#Variant2#TextSecond
MeasureName=MeasureArtist

[Album]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Text | StyleMusic#Variant2#TextThird
MeasureName=MeasureAlbum

[Time]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Time
MeasureName=MeasureTimePosition

;-------------------------
; BUTTONS

[Prev]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Button | StyleMusic#Variant2#ButtonFirst
LeftMouseUpAction=!PluginBang "MeasureMediaPlayer Previous"
ToolTipTitle=Previous
ToolTipText=Go back to the previous track in the current playlist.

[Play]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Button | StyleMusic#Variant2#ButtonSecond[MeasureState]
LeftMouseUpAction=!PluginBang "MeasureMediaPlayer PlayPause"
ToolTipTitle=Play/Pause
ToolTipText=Pause the playing track, or resume playing if paused.
DynamicVariables=1

[Next]
Meter=STRING
MeterStyle=StyleMusic#Variant2#Button | StyleMusic#Variant2#ButtonThird
LeftMouseUpAction=!PluginBang "MeasureMediaPlayer Next"
ToolTipTitle=Next
ToolTipText=Go to the next track in the current playlist.

[Progress]
Meter=BAR
MeterStyle=StyleMusic#Variant2#Progress
MeasureName=MeasureTimeProgress

;---------------------------------------------------------------------
; METADATA

[Metadata]
Name=Enigma Music
Config=Enigma | Sidebar | Music
Description=Shows information about the song currently playing in your chosen media player.
Instructions=· Double-click to switch to the next variant. | · Middle-click to refresh. | · Load Enigma\Options.ini to change options for this skin.
Version=3.1
Tags=Music | iTunes | Winamp | CD Art Display | Sidebar
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0
Preview=#SKINSPATH#Enigma\Resources\Images\Preview.png
